# Exports

## Server Exports&#x20;

### **isVehicleRegistered**

<pre class="language-lua" data-title="Example Usage"><code class="lang-lua">
local isVehicleRegistered, formattedMessage = exports.stevo_dmv:IsVehicleRegistered(plate) 

<strong>--- IsVehicleRegistered = string or boolean
</strong>--- formattedMessage = string or 

if not isVehicleRegistered then 
 -- returns false if no vehicle data is availible
end 

if isVehicleRegistered == 'valid' then 
 -- returns 'valid' if the registration is valid
 -- formattedMessage will display Valid until %s of %s %d
end 

if isVehicleRegistered == 'expired' then 
-- returns 'expired' if the registration is expired
 -- formattedMessage will display Expired on %s of %s %d
end

if isVehicleRegistered == 'notregistered' then 
 -- returns 'notregistered' if the vehicle is not registered yet.
end

</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stevoscripts.com/paid-scripts/stevo_dmv/exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
